# Uses of Class
java.lang.reflect.Parameter

Packages that use Parameter
Package
Description
java.lang.reflect
Provides classes and interfaces for obtaining reflective information about classes and objects.

## Uses of Parameter in java.lang.reflect

Methods in java.lang.reflect that return Parameter
Modifier and Type
Method
Description
`Parameter[]`
Executable.`getParameters()`
Returns an array of `Parameter` objects representing all the parameters to the underlying executable represented by this object.